> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-881012b3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# De-register Devices

> De-register devices using the Razorpay TPAP Pro API.

<div style={{display:"flex",flexWrap:"wrap",alignItems:"center",gap:"0.35rem 0.9rem",border:"1px solid rgba(128,128,128,0.28)",borderRadius:"0.5rem",padding:"0.45rem 0.75rem",margin:"0 0 1.25rem",fontSize:"0.875rem"}}>
  <span style={{fontWeight:600}}>Available in</span>
  <span>🇮🇳 India</span>
</div>

TPAP should de-register the device at Razorpay's end by calling this API whenever the customer removes the SIM from their mobile application. It can also be used in general to de-register the device. On de-registration, the customer's device binding, all VPAs, all fund sources, and their mappings are deleted. Use this endpoint to de-register the device.

<RequestExample>
  ```bash Curl theme={null}
  curl -X POST 'api.rzp.<bank>.com/v1/upi/tpap/devices/deregister' \
  -u [YOUR_KEY_ID]:[YOUR_SECRET] \
  -H "Content-type: application/json" \
  -H "x-device-fingerprint: <device_fingerprint>" \
  -H "x-device-fingerprint-timestamp: 1496918882000" \
  -H "x-customer-reference: customer-id-from-customer" \
  -d '{
    "uuid":"<device_id>",
    "app":"test.merchant.upi.com",
    "ssid":"123456789",
    "manufacturer":"samsung",
    "model":"Galaxy S23",
    "os":"android",
    "os_version":"Dev12345"
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "status": "device_deregistered",
    "mobile": "987654321",
    "uuid": "<device_id>",
    "app": "test.merchant.upi.com",
    "ssid": "123456789",
    "manufacturer": "samsung",
    "model": "Galaxy S23",
    "os": "android",
    "os_version": "Dev12345"
  }
  ```
</ResponseExample>

## Request Parameters

<ParamField body="uuid" type="string" required>
  The unique identifier of the device. For example, `advertising_id` or `android_id`.
</ParamField>

<ParamField body="app" type="string" required>
  The application package name.
</ParamField>

<ParamField body="ssid" type="string" required>
  The SIM identifier.
</ParamField>

<ParamField body="manufacturer" type="string" required>
  The device manufacturer.
</ParamField>

<ParamField body="model" type="string" required>
  The model of the device.
</ParamField>

<ParamField body="os" type="string" required>
  The operating system running on the device.
</ParamField>

<ParamField body="os_version" type="string" required>
  The version of the operating system.
</ParamField>

## Response Parameters

<ResponseField name="status" type="enum">
  Status of the de-registration. Possible values:

  * `device_deregistered`
  * `device_deregisteration_failed`
</ResponseField>

<ResponseField name="uuid" type="string">
  The unique identifier of the device. For example, `advertising_id` or `android_id`.
</ResponseField>

<ResponseField name="app" type="string">
  The application package name.
</ResponseField>

<ResponseField name="ssid" type="string">
  The SIM identifier.
</ResponseField>

<ResponseField name="manufacturer" type="string">
  The phone manufacturer.
</ResponseField>

<ResponseField name="model" type="string">
  The model of the phone.
</ResponseField>

<ResponseField name="os" type="string">
  The operating system running on the device.
</ResponseField>

<ResponseField name="os_version" type="string">
  The version of the operating system on the device.
</ResponseField>
